# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

Ifetch_unit			= yes

ifndef Behavioural
include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif
ifndef Address_management
include				$(DIR_MORPHEO)/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/Address_management/Makefile.deps
endif
ifndef Ifetch_queue
include				$(DIR_MORPHEO)/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/Ifetch_queue/Makefile.deps
endif
ifndef Ifetch_unit_Glue
include				$(DIR_MORPHEO)/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/Ifetch_unit_Glue/Makefile.deps
endif

#-----[ Directory ]----------------------------------------

Ifetch_unit_DIR			=	$(DIR_MORPHEO)/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit

#-----[ Library ]------------------------------------------

Ifetch_unit_LIBRARY		= 	-lIfetch_unit			\
					$(Address_management_LIBRARY)	\
					$(Ifetch_queue_LIBRARY)		\
					$(Ifetch_unit_Glue_LIBRARY)	\
					$(Behavioural_LIBRARY)	

Ifetch_unit_DIR_LIBRARY		=	-L$(Ifetch_unit_DIR)/lib		\
					$(Address_management_DIR_LIBRARY)	\
					$(Ifetch_queue_DIR_LIBRARY)		\
					$(Ifetch_unit_Glue_DIR_LIBRARY)		\
					$(Behavioural_DIR_LIBRARY)

#-----[ Rules ]--------------------------------------------

Ifetch_unit_library		:
				@\
				$(MAKE) Behavioural_library;						\
				$(MAKE) --directory=$(Address_management_DIR) 	--makefile=Makefile;	\
				$(MAKE) --directory=$(Ifetch_queue_DIR) 	--makefile=Makefile;	\
				$(MAKE) --directory=$(Ifetch_unit_Glue_DIR) 	--makefile=Makefile;	\
				$(MAKE) --directory=$(Ifetch_unit_DIR) 		--makefile=Makefile;

Ifetch_unit_library_clean	:
				@\
				$(MAKE) Behavioural_library_clean;						\
				$(MAKE) --directory=$(Address_management_DIR) 	--makefile=Makefile clean;	\
				$(MAKE) --directory=$(Ifetch_queue_DIR) 	--makefile=Makefile clean;	\
				$(MAKE) --directory=$(Ifetch_unit_Glue_DIR) 	--makefile=Makefile clean;	\
				$(MAKE) --directory=$(Ifetch_unit_DIR) 		--makefile=Makefile clean;
